<div class="card">
    <div class="card-header">
        <div class="page-header-title">
            <h4>{{ 'epdb.admin.product.product_list' | translate }}</h4>
        </div>
    </div>
    <div class="card-block">
        <div class="dt-responsive dt-bootstrap4 row p-20">
            <div class="col-md-4 col-xl-4 form-group text-left">
                <label>{{'epdb.admin.product.product_category' | translate}}</label>
                <select name="oStatus" class="form-control" (change)="changetable($event.target.value)" [(ngModel)]="familyId">
                    <option value="">-- {{'general.select_all' | translate}} --</option>
                    <option *ngIf="productcategory==null">{{'general.loading_data' | translate}} ...</option>
                    <option *ngIf="productcategory==''">{{'general.data_empty' | translate}}</option>
                    <option *ngFor="let item of productcategory" value={{item.familyId}}>{{item.familyName}} ({{item.familyId}})</option>
                </select>
            </div>
            <div class="col-md-5 col-xl-5"></div>
            <div class="col-md-3 col-xl-3 form-group mt-4 text-right">
                <button *ngIf="accesAddBtn" type="button" [routerLink]="['/admin/products/products-add']" class="btn btn-primary btn-md text-center">
                    <i class="icofont icofont-ui-add"></i> {{'epdb.admin.product.btn_add_product' | translate}}</button>
            </div>
            <div class="col-xs-12 col-sm-12 col-sm-12 col-md-6">
                <div>
                    <label class="label-control">{{'general.show' | translate}}
                        <select class="form-control input-sm full-data-show-entry" [(ngModel)]="rowsOnPage">
                            <option [ngValue]="10">10</option>
                            <option [ngValue]="25">25</option>
                            <option [ngValue]="50">50</option>
                            <option [ngValue]="100">100</option>
                        </select>
                        {{'general.entries' | translate}}
                    </label>
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-6">
                <div class="text-right">
                    <label>{{'general.search' | translate}}:
                        <input type="search" [(ngModel)]="filterQuery" class="form-control input-sm full-data-search">
                    </label>
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12" style="overflow-x:auto;">
                <table class="table table-striped table-bordered table-responsive full-data-table text-center pull-center" [mfData]="data | dataFilterProduct : filterQuery"
                    #mf="mfDataTable" [mfRowsOnPage]="rowsOnPage" [(mfSortBy)]="sortBy" [(mfSortOrder)]="sortOrder">
                    <thead>
                        <tr>
                            <th width="70%">
                                <mfDefaultSorter by="productName">{{ 'epdb.admin.product.product_name' | translate }}</mfDefaultSorter>
                            </th>
                            <!-- <th width="20%">{{ 'epdb.admin.product.year' | translate }}</th> -->
                            <th width="20%"><mfDefaultSorter by="Version">{{'eva.manage_course.detail.version' | translate}}</mfDefaultSorter></th>
                            <th width="10%" *ngIf="accesUpdateBtn || accesDeleteBtn">{{ 'general.action' | translate }}</th>
                        </tr>
                    </thead>
                    <tbody *ngIf="data!=null">
                        <tr *ngFor="let item of mf.data">
                            <td class="text-left">{{item.productName}}</td>
                            <td>{{item.Version}}</td>
                            <td class="action-icon" *ngIf="accesUpdateBtn || accesDeleteBtn">
                                <!-- <a (click)="viewdetail(item.productId);viewdetailmodal.show();" class="m-r-15 text-muted f-18" ngbTooltip="{{'general.tool_tip_view' | translate}}">
                                    <i class="icofont icofont-eye-alt"></i>
                                </a> -->
                                <a (click)="viewdetail(item.productId);viewdetailmodal.show();" class="m-r-15 text-muted f-18" ngbTooltip="{{'general.tool_tip_view' | translate}}"></a>
                                <a *ngIf="accesUpdateBtn" [routerLink]="['/admin/products/products-update',item.productId,item.ProductVersionsId]" class="m-r-15 text-muted f-18"
                                    ngbTooltip="{{'general.tool_tip_edit' | translate}}">
                                    <i class="icofont icofont-ui-edit" style="cursor: pointer"></i>
                                </a>
                                <a *ngIf="accesDeleteBtn" (click)="openConfirmsSwal(item.productId,item.ProductVersionsId)" class="text-muted f-18" ngbTooltip="{{'general.tool_tip_delete' | translate}}">
                                    <i class="icofont icofont-delete-alt" style="cursor: pointer"></i>
                                </a>
                            </td>
                        </tr>
                    </tbody>
                    <tfoot>
                        <tr *ngIf="data!=null">
                            <td colspan="7">
                                <mfBootstrapPaginator class="pagination-main f-right"></mfBootstrapPaginator>
                            </td>
                        </tr>
                        <tr *ngIf="data==null">
                            <td colspan="7" class="text-center">{{'general.loading_data' | translate}} ...</td>
                        </tr>
                        <tr *ngIf="data==''">
                            <td colspan="7" class="text-center">{{'general.data_empty' | translate}}</td>
                        </tr>
                    </tfoot>
                </table>
            </div>
        </div>
    </div>
</div>

<!-- modal view detail -->
<app-modal-basic #viewdetailmodal [dialogClass]="'modal-lg'">
    <div class="app-modal-header">
        <h4 class="modal-title">{{ 'epdb.admin.product.detail_product' | translate }}</h4>
        <button type="button" class="close basic-close" (click)="viewdetailmodal.hide()">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="app-modal-body">
        <div class="col-md-12 col-xl-12 form-group row" *ngIf="datadetail==''">
            <div class="col-md-12 col-xl-12 text-center">
                <label class="col-form-label">{{'general.data_empty' | translate}}</label>
            </div>
        </div>
        <div class="col-md-12 col-xl-12 form-group row" *ngIf="datadetail==null">
            <div class="col-md-12 col-xl-12 text-center">
                <label class="col-form-label">{{'general.loading_data' | translate}}</label>
            </div>
        </div>
        <div class="col-md-12 col-xl-12 form-group row" *ngIf="datadetail!=null">
            <div class="col-md-4 col-xl-4 text-left">
                <label class="col-form-label">{{ 'epdb.admin.product.product_id' | translate }}</label>
            </div>
            <div class="col-md-8 col-xl-8 text-left">
                <label class="col-form-label">{{datadetail.productId}}</label>
            </div>
            <div class="col-md-4 col-xl-4 text-left">
                <label class="col-form-label">{{ 'epdb.admin.product.product_category' | translate }}</label>
            </div>
            <div class="col-md-8 col-xl-8 text-left">
                <label class="col-form-label">{{datadetail.familyId}}</label>
            </div>
            <div class="col-md-4 col-xl-4 text-left">
                <label class="col-form-label">{{ 'epdb.admin.product.product_name' | translate }}</label>
            </div>
            <div class="col-md-8 col-xl-8 text-left">
                <label class="col-form-label">{{datadetail.productName}}</label>
            </div>
            <div class="col-md-4 col-xl-4 text-left">
                <label class="col-form-label">{{ 'general.status' | translate }}</label>
            </div>
            <div class="col-md-8 col-xl-8 text-left">
                <label class="col-form-label">{{datadetail.Status}}</label>
            </div>
        </div>
    </div>
</app-modal-basic>
<!-- end modal view detail -->